# BEGIN SourceDeps(oneline):
BuildRequires: libsqlite3-devel perl(Config.pm) perl(ExtUtils/MakeMaker.pm) perl(XSLoader.pm)
#BuildRequires: perl(Apache.pm)
BuildRequires: perl(Apache2/Module.pm) perl(Apache2/ServerUtil.pm) perl(mod_perl2.pm)
# END SourceDeps(oneline)
%define module_version 1.07
%define module_name PAB3-DB-Driver-Sqlite3
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.07
Release: alt7
Summary: Perl wrapper to Sqlite3
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/C/CH/CHRMUE/%module_name-%module_version.tar.gz

%description
`PAB3::DB::Driver::Sqlite3' provides an interface to the sqlite3 library.

How to get this module threadsafe?

from the SQLite3 authors:

In order to be thread-safe, SQLite must be compiled with the THREADSAFE
preprocessor macro set to 1. In the default distribution, the windows binaries
are compiled to be threadsafe but the linux binaries are not. If you want to
change this, you will have to recompile.

"Threadsafe" in the previous paragraph means that two or more threads can run
SQLite at the same time on different "sqlite3" structures returned from separate
calls to sqlite3_open(). It is never safe to use the same sqlite3 structure
pointer in two or more threads.

--

Under ModPerl or PerlEx environment several scripts may take access to the same
instance of the perl interpreter. All functions are thread local but global
to the interpreter!
If you plan using several connections in your scripts which may access to
the same interpreter you should explicitly set $linkid in all expected
functions.
An alternative for this is the `PAB3::DB' class. It takes care of it.
See more at the PAB3::DB manpage.


%prep
%setup -n %module_name-%module_version

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README
%perl_vendor_archlib/P*
%perl_vendor_autolib/*

%changelog
* Wed Nov 29 2023 Igor Vlasenko <viy@altlinux.org> 1.07-alt7
- rebuild with perl 5.38

* Wed Jun 16 2021 Igor Vlasenko <viy@altlinux.org> 1.07-alt6
- rebuild with perl 5.34.0

* Thu Oct 01 2020 Igor Vlasenko <viy@altlinux.ru> 1.07-alt5.1
- rebuild with perl 5.30

* Fri Feb 01 2019 Cronbuild Service <cronbuild@altlinux.org> 1.07-alt4.1
- rebuild with perl 5.28.1

* Mon Dec 18 2017 Igor Vlasenko <viy@altlinux.ru> 1.07-alt4
- rebuild with perl 5.26

* Sun Feb 12 2017 Cronbuild Service <cronbuild@altlinux.org> 1.07-alt3
- rebuild to get rid of unmets

* Fri Nov 27 2015 Igor Vlasenko <viy@altlinux.ru> 1.07-alt2.1
- rebuild with perl 5.22

* Sat Dec 13 2014 Cronbuild Service <cronbuild@altlinux.org> 1.07-alt2
- rebuild to get rid of unmets

* Mon Oct 21 2013 Igor Vlasenko <viy@altlinux.ru> 1.07-alt1
- initial import by package builder

